<div class="bg-main">
  <h1 class="text-center fw-bolder fst-italic text-uppercase animate__animated animate__fadeInLeft text-dark bg-light bg-opacity-50 py-4 display-5">
    {{ title2 }}
  </h1>
  <hr>
  <form (ngSubmit)="saveContact(f)" #f="ngForm"
        class="row justify-content-center animate__animated animate__fadeInLeft">
    <div class="rounded col-md-4 pt-4 mb-4 bg-dark bg-opacity-75">
      <div class="mb-3 px-3 text-light">
        <label class="form-label fw-bolder"
               [class.text-danger]="!selectTitle(f) && titles.touched">Tipo de requerimiento</label>
        <select class="form-select"
                name="title"
                required
                [(ngModel)]="contactModule.title"
                #titles="ngModel"
                [class.is-invalid]="!selectTitle(f) && titles.touched"
                [class.is-valid]="titles.valid && selectTitle(f)">
          <option value="1">--Seleccione--</option>
          <option value="felicitación">Felicitación</option>
          <option value="sugerencia">Sugerencia</option>
          <option value="reclamo">Reclamo</option>
        </select>
        <div *ngIf="!selectTitle(f) && titles.touched" class="alert alert-light text-danger my-1">Debe seleccionar una categoría</div>
      </div>
      <div class="mb-3 px-3 text-light">
        <label class="form-label fw-bolder"
               [class.text-danger]="name.invalid && name.touched">Nombre de contacto
        </label>
        <input type="text"
               class="form-control"
               placeholder="Nombre de contacto"
               name="name"
               required
               minlength="5"
               maxlength="50"
               [(ngModel)]="contactModule.name"
               #name="ngModel"
               [class.is-invalid]="name.invalid && name.touched"
               [class.is-valid]="name.valid">
        <div *ngIf="name.invalid && name.touched" class="alert alert-light text-danger my-1">La cantidad mínima es de 5 letras.</div>
      </div>
      <div class="mb-3 px-3 text-light">
        <label class="form-label fw-bolder"
               [class.text-danger]="email.invalid && email.touched">Correo Electrónico
        </label>
        <input type="email"
               class="form-control mt-2"
               id="inputPassword2"
               placeholder=" correo@correo.com"
               name="email"
               pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$"
               email
               required
               [(ngModel)]="contactModule.email"
               #email="ngModel"
               [class.is-invalid]="email.invalid && email.touched"
               [class.is-valid]="email.valid">
        <div *ngIf="email.invalid && email.touched" class="form-control alert alert-light text-danger my-1">Debe ingresar un correo electrónico válido.</div>
      </div>
      <div class="mb-3 px-3 text-light">
        <label class="form-label fw-bolder"
               [class.text-danger]="phone.invalid && phone.touched">Teléfono
        </label>
        <input type="tel"
               class="form-control"
               placeholder="912345678"
               name="phone"
               required
               minlength="9"
               [(ngModel)]="contactModule.phone"
               #phone="ngModel"
               [class.is-invalid]="phone.invalid && phone.touched"
               [class.is-valid]="phone.valid">
        <div *ngIf="phone.invalid && phone.touched" class="alert alert-light text-danger my-1">Debe ingresar un teléfono válido. Ej: 912345678.</div>
      </div>
      <div class="mb-3 px-3 text-light">
        <label for="exampleFormControlTextarea1"
               class="form-label fw-bolder"
               [class.text-danger]="message.invalid && message.touched">Deje su mensaje</label>
        <textarea class="form-control"
                  id="exampleFormControlTextarea1"
                  rows="5"
                  placeholder="Deje su mensaje"
                  name="message"
                  required
                  minlength="5"
                  maxlength="1000"
                  [(ngModel)]="contactModule.message"
                  #message="ngModel"
                  [class.is-invalid]="message.invalid && message.touched"
                  [class.is-valid]="message.valid">
        </textarea>
        <div *ngIf="message.invalid && message.touched" class="alert alert-light text-danger my-1">Debe ingresar un mensaje entre 5 y 1000 caracteres.</div>
      </div>
      <button type="submit" class="btn btn-success float-end py-2 px-3 m-3 fw-bolder">
        <i class="bi bi-check-circle"></i> Enviar
      </button>
    </div>
  </form>
</div>
